## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  d20f3f64d7d9

Name:           xeme
Version:        0
Release:        %autorelease -p -s 0hg%{commit}
Summary:        High Level XMPP Parsing Library

License:        LGPL-2.1-or-later
URL:            https://keep.imfreedom.org/xeme/xeme
Source:         https://keep.imfreedom.org/xeme/xeme/archive/%{commit}.tar.bz2
#Source:         https://downloads.sourceforge.net/pidgin/#{name}-#{version}.tar.xz
#Source1:        https://downloads.sourceforge.net/pidgin/#{name}-#{version}.tar.xz.asc
Source2:        https://keybase.io/grim/pgp_keys.asc
# Downstream soname versioning; https://issues.imfreedom.org/issue/XEME-2
Patch:          https://reviews.imfreedom.org/r/3781/diff/raw#/3781.diff

# BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  pkgconfig(birb)
BuildRequires:  pkgconfig(glib-2.0) >= 2.76
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
%{summary}


%package devel
Summary:        Development files for %{name}

%description devel
%{summary}


%prep
#{gpgverify} --keyring='#{SOURCE2}' --signature='#{SOURCE1}' --data='#{SOURCE0}'
%autosetup -p1 -n %{name}-%{commit}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md AUTHORS
%license LICENSE
%{_libdir}/libxeme.so.0
%{_libdir}/libxeme.so.0.1.0
%{_libdir}/girepository-1.0/Xeme-1.0.typelib

%files devel
%doc %{_docdir}/xeme/
%{_includedir}/xeme-1.0/
%{_libdir}/libxeme.so
%{_libdir}/pkgconfig/xeme.pc
%{_datadir}/gir-1.0/Xeme-1.0.gir

%changelog
## START: Generated by rpmautospec
* Wed Jan 22 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.0hgd20f3f64d7d9
- Initial commit
## END: Generated by rpmautospec
